html,
body,
div,
main,
h1,
h2,
h3,
h4,
h5,
h6,
figure,
img,
figcaption,
span,
p {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
figure {
  text-align: center;
  height: 200px;
}

#body {
  background-image: linear-gradient(to right, #000000, #434343);
}

#main {
  display: flex;
  flex-direction: column;
  justify-content: space-around;
  height: 64%;
  margin-top: 5%;
}

#main-img {
  height: 200px;
  width: 200px;
  transition: transform 1000ms ease-in-out;
  cursor: pointer;
}

.gira {
  -ms-transform: rotate(20deg);
  transform: rotate(360deg);
  transform-origin: 50% 50%;
}

.container {
  height: 100vh;
}

.title {
  font-size: 42px;
  padding-top: 40px;
  text-align: center;
  color: darkgray;
}

#answer {
  text-align: center;
  font-size: 42px;
  height: 37px;
  color: bisque;
  font-family: "Flavors", cursive;
}

.hidden {
  display: none;
}
.disappear {
  opacity: 0;
  transition: opacity 600ms ease-in-out;
  transition: color 800ms ease-in-out;
  color: #2c2c2c;
}
.appear {
  opacity: 100%;
  color: #ae0707;
}

p {
  text-align: center;
  font-size: 20px;
  text-transform: uppercase;
  color: darkgray;
}

#change-idiom {
  position: absolute;
  bottom: 0;
  left: 50%;
  transform: translate(-50%);
  cursor: pointer;
  height: 30px;
}

@media only screen and (min-width: 768px) {
  .title {
    font-size: 80px;
  }
  p {
    width: 40%;
    margin: 0 auto;
    font-size: 28px;
  }
  #main {
    margin-top: 2%;
  }
  #answer {
    font-size: 82px;
  }
}
